Package org.duckdb

# Class DuckDBStruct

java.lang.Object
org.duckdb.DuckDBStruct

All Implemented Interfaces:
  `Struct`

public class DuckDBStruct extends Object implements Struct

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getAttributes()`
`Object[]`
`getAttributes(Map<String,Class<?>> map)`
`Map<String,Object>`
`getMap()`
`String`
`getSQLTypeName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSQLTypeName

public String getSQLTypeName() throws SQLException

Specified by:
  `getSQLTypeName` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes() throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes(Map<String,Class<?>> map) throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getMap

public Map<String,Object> getMap() throws SQLException

Throws:
  `SQLException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`